com.mapinfo.midev.geometry

## Class SpatialInfo

- java.lang.Object
- - com.mapinfo.midev.geometry.SpatialInfo

All Implemented Interfaces:
  Serializable

    public final class SpatialInfo
    extends Object
    implements Serializable

All spatial metadata for a geometry.

See Also:
  Serialized Form

### Field Summary

Fields
`static Length` `DEFAULT_TOLERANCE_LENGTH` Application default tolerance, 0.04 meter.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static SpatialInfo` `create(CoordSys coordsys)` Create a (cached) SpatialInfo based on a coordinate system.
`boolean` `equals(Object o)`
`CoordSys` `getCoordSys()` Get the coordinate system of the geometry.
`double` `getTolerance()` Get the tolerance to use when comparing the coordinates of the geometry.
`Length` `getToleranceLength()` Get the tolerance to use when comparing the coordinates of the geometry.
`LinearUnit` `getZUnit()` Get the linear unit of the z coordinate of the geometry.
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_TOLERANCE_LENGTH

    public static final Length DEFAULT_TOLERANCE_LENGTH

Application default tolerance, 0.04 meter.

### Method Detail

#### create

    public static SpatialInfo create(CoordSys coordsys)

Create a (cached) SpatialInfo based on a coordinate system.

#### getCoordSys

    public CoordSys getCoordSys()

Get the coordinate system of the geometry.

Returns:
  the coordinate system of the geometry

#### getZUnit

    public LinearUnit getZUnit()

Get the linear unit of the z coordinate of the geometry.

This value may be null even if the geometry has z values set. A unitless z value is supported.

Returns:
  the linear unit of the z coordinate. May be null.
See Also:
  `IGeometry.zSet()`

#### getTolerance

    public double getTolerance()

Get the tolerance to use when comparing the coordinates of the geometry.

This value is in the distance unit (either angular or linear) of the coordinate system of this object.

Returns:
  the tolerance value to use when comparing coordinates

#### getToleranceLength

    public Length getToleranceLength()

Get the tolerance to use when comparing the coordinates of the geometry. The tolerance is represented as a `Length`.

Returns:
  the tolerance value represented as a `Length`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`